​
Select Service
ves-io-schema-endpoint-API-List
Published April 5, 2023 | Last modified June 15, 2026
Examples of listing endpoint
Usecase:
List all endpoints in the current namespace
Request using vesctl:
vesctl configuration list endpoint --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: details-endpoint namespace: documentation statusSet: [] tenant: acmecorp uid: 4e5f1099-9b5c-407b-94d7-bc7bb56db65f- annotations: {} labels: {} name: productpage-endpoint namespace: documentation statusSet: [] tenant: acmecorp uid: 5e706398-88cd-425a-a3f3-04dc046c7970- annotations: {} labels: {} name: ratings-endpoint namespace: documentation statusSet: [] tenant: acmecorp uid: d42c9e76-b7d9-4a0e-976b-9771c4979b60- annotations: {} labels: {} name: reviews-endpoint namespace: documentation statusSet: [] tenant: acmecorp uid: 362aa4fa-2d1e-412e-accd-4a208e8b64a5Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/endpoints'curl response
HTTP/1.1 200 OKContent-Type: application/jsonDate: Mon, 13 Apr 2026 01:59:28 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "details-endpoint", "uid": "4e5f1099-9b5c-407b-94d7-bc7bb56db65f", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] }, { "tenant": "acmecorp", "namespace": "documentation", "name": "productpage-endpoint", "uid": "5e706398-88cd-425a-a3f3-04dc046c7970", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] }, { "tenant": "acmecorp", "namespace": "documentation", "name": "ratings-endpoint", "uid": "d42c9e76-b7d9-4a0e-976b-9771c4979b60", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] }, { "tenant": "acmecorp", "namespace": "documentation", "name": "reviews-endpoint", "uid": "362aa4fa-2d1e-412e-accd-4a208e8b64a5", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}